<?php
/**
 * Body Classes.
 * @package Omega Food Delivery
 */

if (!function_exists('omega_food_delivery_body_classes')) :

    function omega_food_delivery_body_classes($omega_food_delivery_classes)
    {
        $omega_food_delivery_defaults = omega_food_delivery_get_default_theme_options();
        $omega_food_delivery_layout = omega_food_delivery_get_final_sidebar_layout();

        // Adds a class of hfeed to non-singular pages.
        if (!is_singular()) {
            $omega_food_delivery_classes[] = 'hfeed';
        }

        // Sidebar layout logic
        $omega_food_delivery_classes[] = $omega_food_delivery_layout;

        // Copyright alignment
        $copyright_alignment = get_theme_mod('omega_food_delivery_copyright_alignment', 'Default');
        $omega_food_delivery_classes[] = 'copyright-' . strtolower($copyright_alignment);

        return $omega_food_delivery_classes;
    }

endif;

add_filter('body_class', 'omega_food_delivery_body_classes');